
/*]  Copyright (c) 2009-2010, Charles McGarvey  [**************************
**]  All rights reserved.
*
* vi:ts=4 sw=4 tw=75
*
* Distributable under the terms and conditions of the 2-clause BSD license;
* see the file COPYING for a complete text of the license.
*
**************************************************************************/

#ifndef _MOOF_CONTACT_HH_
#define _MOOF_CONTACT_HH_

#include <Moof/Math.hh>


namespace Mf {


template <int D = 3>
struct Contact
{
	typedef cml::vector< Scalar, cml::fixed<D> > Vector;

	Vector	point;			// point of contact
	Scalar	distance;		// distance of penetration
	Vector	normal;			// normal of surface at point of contact

	bool operator < (const Contact& rhs)
	{
		return distance < rhs.distance;
	}
};


} // namespace Mf

#endif // _MOOF_CONTACT_HH_

